Package twisted :: Package trial :: Module remote :: Class JellyReporter

[frames | no frames]

## Class JellyReporter

    Reporter --+
               |
              JellyReporter

I report results as a Banana-encoded Jelly stream.

This reporting format is machine-readable. It might make more sense to proxy to a pb.Referenceable Reporter, but then it would need a two-way connection and a reactor running to manage the protocol. I'm not sure if we want to do that.

Decode this stream with `DecodeReport`.

Method Summary
| `__init__(self, stream)`
| `cleanResults(self, testClass, method)`
| `connectionLost(self, reason)`
| `dataReceived(self, data)`
| `jellyMethodCall(self, methodName, *args)`
| `makeConnection(self, transport)`
| `reportImportError(self, name, exc)`
| `reportResults(self, testClass, method, resultType, results)`
| `reportStart(self, testClass, method)`
| `start(self, *args)`
| `stop(self, *args)`
Inherited from Reporter
| ``allPassed`(self)`
| ``getRunningTime`(self)`

Instance Variable Summary
Inherited from Reporter
bool | `debugger`: Run the debugger when encountering a failing test.
List of (testClass, method, Results) tuples. | `errors`: Tests which have encountered an error.
List of (testClass, method, Results) tuples. | `expectedFailures`: Tests which failed but are marked as 'todo'
int | `expectedTests`: The number of tests I expect to run.
List of (testClass, method, Results) tuples. | `failures`: Tests which have failed.
List of (moduleName, exception) tuples. | `imports`: Import errors encountered while assembling the test suite.
int | `numTests`: The number of tests I have reports for.
List of (testClass, method, Results) tuples. | `skips`: Tests which have been skipped.
List of (testClass, method, Results) tuples. | `unexpectedSuccesses`: Tests which passed but are marked as 'todo'

Class Variable Summary
`NoneType` | `_gotNegotiation` = None
`int` | `doSendTimes` = 1

Class Variable Details

### _gotNegotiation

  Type:
    `NoneType`
  Value:

        None

### doSendTimes

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:04 2004 | http://epydoc.sf.net